import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/kragovic/d18b4cea9ccbd070276c92709e06e9dc/raw/b5baa426e749501f657af046333fc67dd1c25208/donors_data.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  
  /*
  ActionsCOVID: 17.7
ActionsOTHER: "82.3"
ActionsPTC: "30.1"
AmountCOVID: "11.1"
AmountOther: "89.9"
AmountPTC: "35.1"
DonorType: "Masovna Davanja"
  */

  useEffect(() => {
    const row = (d) => {
      d.ActionsPTC = +d.ActionsPTC;
      d.ActionsCOVID = +d.ActionsCOVID;
      d.ActionsOTHER = +d.ActionsOTHER;  
      d.AmountPTC = +d.AmountPTC;
      d.AmountCOVID = +d.AmountCOVID;
      d.AmountOTHER = +d.AmountOTHER;
      d.CovidOnlyAct= +d.CovidOnlyAct;
      d.CovidOnlyAmt= +d.CovidOnlyAmt;
      d.OtherOnlyAct = +d.OtherOnlyAct;
      d.OtherOnlyAmt = +d.OtherOnlyAmt;
      d.Zero= 0;
      d.Hundred= 100;
      return d;
    };
    csv(csvUrl, row).then((data) =>
      setData(data)
    );
  }, []);
  console.log(data)
  return data;
};